<?xml version="1.0"?>
<block>
  <name>Correlogram</name>
  <key>sprectrum_tools_Correlogram</key>
  <category>[sprectrum_tools]</category>
  <import>import sprectrum_tools</import>
  <make>sprectrum_tools.Correlogram($sampling, $lag, $window, $NFFT, $scale_by_freq)</make>
  <!-- Make one 'param' node for every Parameter you want settable from the GUI.
       Sub-nodes:
       * name
       * key (makes the value accessible as $keyname, e.g. in the make node)
       * type -->
<param>
    <name>sampling</name>
    <key>sampling</key>
    <value>1.0</value>
    <type>float</type>
  </param>

<param>
    <name>lag</name>
    <key>lag</key>
    <value>15</value>
    <type>int</type>
  </param>

    <param>
    <name>window</name>
    <key>window</key>
    <type>enum</type>
	<option>
		<name>hann</name>
		<key>"hann"</key>
	</option>
	<option>
		<name>bartlett_hann</name>
		<key>"bartlett_hann"</key>
	</option>
	<option>
		<name>blackman_harris</name>
		<key>"blackman_harris"</key>
	</option>
	<option>
		<name>blackman_nuttall</name>
		<key>"blackman_nuttall"</key>
	</option>
	<option>
		<name>bohman</name>
		<key>"bohman"</key>
	</option>
	<option>
		<name>blackman</name>
		<key>"blackman"</key>
	</option>
	<option>
		<name>chebwin</name>
		<key>"chebwin"</key>
	</option>
	<option>
		<name>gaussian</name>
		<key>"gaussian"</key>
	</option>
	<option>
		<name>hamming</name>
		<key>"hamming"</key>
	</option>
	<option>
		<name>kaiser</name>
		<key>"kaiser"</key>
	</option>
	<option>
		<name>lanczos</name>
		<key>"lanczos"</key>
	</option>
	<option>
		<name>sinc</name>
		<key>"sinc"</key>
	</option>
	<option>
		<name>poisson</name>
		<key>"poisson"</key>
	</option>
	<option>
		<name>tukey</name>
		<key>"tukey"</key>
	</option>
	<option>
		<name>nuttall</name>
		<key>"nuttall"</key>
	</option>
	<option>
		<name>parzen</name>
		<key>"parzen"</key>
	</option>
	<option>
		<name>flattop</name>
		<key>"flattop"</key>
	</option>
	<option>
		<name>riesz</name>
		<key>"riesz"</key>
	</option>
	<option>
		<name>riemann</name>
		<key>"riemann"</key>
	</option>
	<option>
		<name>hanning</name>
		<key>"hanning"</key>
	</option>
	<option>
		<name>poisson_hanning</name>
		<key>"poisson_hanning"</key>
	</option>
	<option>
		<name>rectangular</name>
		<key>"rectangular"</key>
	</option>
	<option>
		<name>rectangle</name>
		<key>"rectangle"</key>
	</option>
	<option>
		<name>bartlett</name>
		<key>"bartlett"</key>
	</option>
	<option>
		<name>triangular</name>
		<key>"triangular"</key>
	</option>
	<option>
		<name>cosine</name>
		<key>"cosine"</key>
	</option>
	<option>
		<name>sine</name>
		<key>"sine"</key>
	</option>
	<option>
		<name>cauchy</name>
		<key>"cauchy"</key>
	</option>
	<option>
		<name>taylor</name>
		<key>"taylor"</key>
	</option>
  </param>

  <param>
    <name>NFFT</name>
    <key>NFFT</key>
    <value>1024</value>
    <type>int</type>
  </param>

  <param>
    <name>scale_by_freq</name>
    <key>scale_by_freq</key>
    <type>enum</type>
	<option>
		<name>False</name>
		<key>False</key>
	</option>
	<option>
		<name>True</name>
		<key>True</key>
	</option>
  </param>
  <!-- Make one 'sink' node per input. Sub-nodes:
       * name (an identifier for the GUI)
       * type
       * vlen
       * optional (set to 1 for optional inputs) -->
  <sink>
    <name>in</name>
    <type>complex</type>
    <vlen>$NFFT</vlen>
  </sink>

  <!-- Make one 'source' node per output. Sub-nodes:
       * name (an identifier for the GUI)
       * type
       * vlen
       * optional (set to 1 for optional inputs) -->
  <source>
    <name>out</name>
    <type>float</type>
    <vlen>$NFFT</vlen>
  </source>


 <doc>
https://pyspectrum.readthedocs.io/en/latest/autosum.html
La clase Correlogram proporciona una interfaz para CORRELOGRAMPSD().

class pcorrelogram(data, sampling=1.0, lag=-1, window='hamming', NFFT=None, scale_by_freq=True, detrend=None)

PARAMETROS.

Nombre Tipo de dato Descripción
Data:(array)input data (list o numpy.array)
sampling:(float)frecuencia de muestreo de la entrada data.
lag:(int)índice de retraso más alto para calcular. Debe ser menor que N
window:(str)Nombre de la ventana
NFFT:(int)Tamaño total del conjunto de datos final (valor predeterminado 4096).
scale_by_freq:(bool)Toma valores de False o True
detrend:(str)detrend los datos antes de co, puteando la FFT



 </doc>

</block>
